#booking {
	padding: 150px 0px;
	background-image: linear-gradient(to right bottom, $color-primary-light,$color-primary-dark);
}

.booking {
	background-image: linear-gradient(105deg,
		rgba($color-white,.9) 0%,
		rgba($color-white,.9) 50%,
		transparent 50%),
	url(../img/book/book1.jpg);
	background-size: cover;
	border-radius: 3px;
	height: 500px;
	width: 100%;
	box-shadow: 0px 15px 40px rgba($color-black, 0.15);
	

	&__form {
		width: 50%;
		padding: 60px;
	}

	.form {

		&__group:not(:last-child) {
			margin-bottom: 30px;
		}

		&__input {
			padding: 15px;
			background-color: rgba($color-white,.5);
			border: none;
			border-bottom: 3px solid transparent;
			font-family: inherit;
			border-radius: 2px;
			width: 100%;
			display: block;
			transition: all .5s;
			
			&:input-placeholder {
				color: $color-grey-dark-2;
			}

			&:focus {
				outline: none;
				box-shadow: 0 10px 20px rgba($color-black,.1);
				border-bottom: 3px solid $color-primary;
			}

			&:focus:invalid {
				border-bottom: 3px solid $color-secondary-dark;
			}
		}

		&__label {
			font-size: 12px;
			font-weight: 700;
			margin-left: 20px;
			margin-bottom: 7px;
			display: block;
			transition: all .3s;
		}

		&__radio-group {
			width: 49%;
			display: inline-block;
		}

		&__radio-input {
			display: none;
		}

		&__radio-label {
			position: relative;
			cursor: pointer;
			padding-left: 50px;
		}

		&__radio-button {
			height: 30px;
			width: 30px;
			border: 5px solid $color-primary;
			border-radius: 50%;
			display: inline-block;
			position: absolute;
			top: 0;
			left: 0;


			&::after {
				content: "";
				display: block;
				height: 13px;
				width: 13px;
				border-radius: 50%;
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%,-50%);
				background-color: $color-primary;
				opacity: 0;
				transition: opacity .3s;
			}
		}
	}
}

.form__input:placeholder-shown + .form__label {
    opacity: 0;
    visibility: hidden;
    transform: translateY(-40px);
}


.form__radio-input:checked ~ .form__radio-label .form__radio-button::after {
	opacity: 1;
}